DevToolPal
TR

E-posta Adresi Sözdizimi Denetleyici

E-posta adreslerinin sözdizimini toplu denetleyin, alan adı yazım hatalarını bulun, yinelenenleri kaldırın. Yalnızca biçim kontrolü.

Yerelde çalışır, asla yüklenmez

Seçenekler

Göster

E-posta adresleri (her satıra bir tane)

0 karakter · 0 B

Sözdizimi kontrolü

Sonuç burada görünür

Ne işe yarar

Bu araç, e-posta adreslerinin doğru yazılıp yazılmadığını kontrol eder. Tek bir adres veya bütün bir liste yapıştırın; her biri, eksik @, art arda iki nokta, noktasız bir alan adı veya izin verilmeyen bir karakter gibi nedeniyle birlikte geçerli ya da geçersiz olarak işaretlenir. İçe aktarmadan önce bir e-posta listesini temizlemek, form girdi kurallarını kontrol etmek veya bir CSV dışa aktarımındaki tek bozuk satırı bulmak için kullanışlıdır.

Yalnızca biçimi kontrol eder. Hiçbir posta sunucusuyla iletişime geçmez; bu yüzden posta kutusunun var olup olmadığını veya posta kabul edip etmediğini söyleyemez.

Nasıl kullanılır

  1. Adresleri girdi kutusuna her satıra bir tane olacak şekilde yapıştırın. Virgüller ve noktalı virgüller de ayırıcı olarak çalışır; böylece bir Kime: satırını doğrudan yapıştırabilirsiniz.
  2. Siz yazarken sonuçlar, kaç adresin geçerli ve geçersiz olduğunu gösteren bir özetle birlikte görünür.
  3. Tüm adresleri, yalnızca geçerlileri veya yalnızca geçersizleri listelemek için Göster seçeneğini kullanın. Yinelenenleri kaldır tekrarları atar; alan adı büyük/küçük harf farkı gözetilmeden karşılaştırılır.
  4. Temiz listeyi her satıra bir adres olacak şekilde kopyalamak için Geçerlileri kopyala düğmesine basın.

Görünen adlar da işlenir: Bob Smith <bob@example.com>, adın kaldırıldığına dair bir notla birlikte bob@example.com olarak kontrol edilir.

Neler kontrol edilir

  • Tırnakların dışında tam olarak bir @ olmalı ve her iki tarafında da bir şey bulunmalı.
  • Adresin tamamı en fazla 254 karakter, @ öncesindeki kısım ise en fazla 64 karakter olmalı.
  • Yerel kısım izin verilen karakterleri kullanmalı; başta, sonda veya art arda nokta olmamalı. "john doe"@example.org gibi tırnaklı yerel kısımlara uyarıyla izin verilir.
  • Alan adı en az iki etiketten oluşmalı; her biri 1–63 karakter uzunluğunda harf, rakam ve kısa çizgiden oluşmalı, kısa çizgiyle başlamamalı veya bitmemeli ve gerçekçi görünen bir üst düzey alan adı bulunmalı. admin@[192.168.0.1] gibi IP değişmezlerine uyarıyla izin verilir.
  • gmial.com veya qq.con gibi popüler alan adlarının yaygın yanlış yazımları için “Bunu mu demek istediniz” önerisi gösterilir.

Örnek

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

SSS

› Bu araç posta kutusunun var olup olmadığını kontrol ediyor mu?

Hayır. Bu yalnızca bir sözdizimi kontrolüdür. Alan adının posta sunucularını sorgulamaz veya onlarla iletişime geçmez; bu yüzden bir adres burada geçip yine de geri dönebilir. Bir posta kutusunu doğrulamak için sunucu gerekir ve tek güvenilir test bir onay e-postası göndermektir.

› Adresler bir yere yükleniyor mu?

Hayır. Her kontrol tarayıcınızda çalışır; bu yüzden e-posta listeleriniz cihazınızdan hiç çıkmaz.

› Hangi kuralları izliyor?

RFC 5321 ve RFC 5322'deki adres sözdizimini ve RFC 6531'deki uluslararası adresleri. Adres içindeki yorumlar gibi eskimiş biçimler, neredeyse hiçbir posta sistemi kabul etmediği için reddedilir.

› Geçerli bir adres neden uyarıyla işaretleniyor?

Bazı adresler kurallara uygun ama risklidir: gmial.com gibi olası bir yazım hatası, alan adı yerine IP adresi, tırnaklı bir yerel kısım veya bazı sunucuların reddettiği ASCII dışı karakterler. Adres yine de geçerli sayılır.